Wiem, że IntelliJ 11 dodał obsługę JSLint, ale czy istnieje wtyczka dla starszych wersji, która będzie sprawdzać poprawność plików js względem JSLint lub JSHint? Idealnie taki, który będzie sprawdzał kod w miarę jego wpisywania, a nie musi być uruchamiany osobno.

1
slashnick 28 luty 2012, 02:34

2 odpowiedzi

Najlepsza odpowiedź

Wypróbuj IntelliJ IDEA 11.1 EAP, obsługuje zarówno JSLint, jak i JSHint:

jshint

1
CrazyCoder 28 luty 2012, 05:21

Znalazłem rozwiązanie, przetestowane z InteliJ IDEA 10.5.4 i działa. Instrukcje krok po kroku można znaleźć pod adresem: http:// /derekscrib.wordpress.com/2011/11/18/jslint-external-tool-for-intellij/

0
darkyndy 27 grudzień 2012, 12:15